Show / Hide Table of Contents

# Delegate ChatGui.OnMessageDelegate

A delegate type used with the ChatMessage event.

###### Namespace: Dalamud.Game.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public delegate void OnMessageDelegate(XivChatType type, uint senderId, ref SeString sender, ref SeString message, ref bool isHandled);

##### Parameters

Type | Name | Description
--- | --- | ---
XivChatType | type | The type of chat.
System.UInt32 | senderId | The sender ID.
SeString | sender | The sender name.
SeString | message | The message sent.
System.Boolean | isHandled | A value indicating whether the message was handled or should be propagated.